Page MenuHomePhabricator

Localized toolbar buttons to the Chechen language
Closed, ResolvedPublic

Event Timeline

Umar created this task.Nov 26 2015, 3:10 PM
Umar updated the task description. (Show Details)
Umar raised the priority of this task from to High.
Umar added a subscriber: Umar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2015, 3:10 PM
Reedy added a subscriber: Reedy.Nov 26 2015, 3:18 PM

In which toolbar?

Umar added a comment.Nov 26 2015, 3:39 PM

I do not know English, and I do not understand

Umar added a comment.Nov 26 2015, 3:44 PM

Ж → Ӏаь

Umar added a comment.Nov 26 2015, 3:47 PM

It must be so http://pastenow.ru/Upload/Paste/FUUE.png

I hope I have explained

Aklapper lowered the priority of this task from Normal to Low.Nov 26 2015, 6:02 PM
Umar added a comment.EditedNov 27 2015, 4:36 AM
This comment has been deleted.

Hi could there also be a svg version too please. Since it carnt be replaced without an svg version since the svg version of buttons will show not pong only pong will be a fallback if the browser doesn't work with svg.

Paladox removed a subscriber: Paladox.Nov 30 2015, 9:27 AM
Reedy removed a subscriber: Reedy.Nov 30 2015, 10:51 AM
Paladox added a comment.EditedDec 9 2015, 7:29 PM

The image also need to be 22 and 22 width for svg not sure about png.

I will upload a patch now but the image will need to be adjusted to follow the other icons styles and sizes.

Umar added a comment.Dec 9 2015, 7:41 PM

I'm not an expert icon.
It would be good if that makes specialist.

Ok.

I will upload a patch. And will have someone who is good at svg editing to help add the effects.

Change 257978 had a related patch set uploaded (by Paladox):
Replace format-bold-ru.png image

https://gerrit.wikimedia.org/r/257978

@Perhelion could I have help to add the styles that are used in the bold icons and apply them to https://commons.wikimedia.org/wiki/File:Toolbaricon_bold_%D3%80%D0%B0%D1%8C.svg there is a png file so that will help.

The files are format-bold-ru.png and format-bold-ru.svg and they are added in https://gerrit.wikimedia.org/r/#/c/257978 patch.

Paladox removed a subscriber: Perhelion.Dec 9 2015, 8:30 PM

This is a note by Edokterfor the svg image. "The SVG is rendering text. It should be converted to using paths."

Yes. But the svg icon doesen't.

It is using the colour dark blue where as it should use black.

Umar added a comment.Dec 10 2015, 8:56 AM

Icon should be 22 × 22? A possible extension 35 × 22?

TheDJ closed this task as Resolved.Dec 28 2015, 9:14 AM
TheDJ assigned this task to Paladox.
TheDJ removed a project: Patch-For-Review.

Change 257978 merged by jenkins-bot:
Add format-bold-Iab image for lang ce

https://gerrit.wikimedia.org/r/257978

Umar added a comment.Jan 1 2016, 1:25 AM

Which file SVK I edit?
To it was the same size as the letter K

It won't be there until wmf10 is released and that won't be until Christmas is over

Umar added a comment.Jan 3 2016, 1:30 PM

The fact that the panel is now broken. icon disappeared altogether.

Umar added a comment.Jan 3 2016, 1:46 PM

I showed you on the other Commons icon https://commons.wikimedia.org/wiki/User_talk:Paladox#Toolbaricon_bold

Because of problems with the new icon that I think is a good solution

Umar added a comment.Jan 4 2016, 9:19 PM

Pay attention to the discussion https://commons.wikimedia.org/wiki/User_talk:Paladox#Toolbaricon_bold

Unfortunately those icon cause problems. they appear not beautiful. they are large or small. For this offer to upgrade patch.
if you can

Hi sorry I haven't responded in the last few days I will do that now. So you want the bold icon changed.

So instead of Iab it will be I

Paladox added a comment.EditedJan 5 2016, 10:50 PM

Hi that looks big but not very nice are you sure you want the icon like that.

I'm not sure which Icon you want.

Umar added a comment.Jan 5 2016, 11:05 PM

Yes. Let there be a single letter as in other Wikipedia. It is to solve all the problems and will look beautiful. Thank you for your understanding and for your help.

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 8:59 AM
Umar added a comment.May 5 2018, 8:47 PM

I ask to return the Chechen icon to the toolbar in the Chechen wikipedia.

https://commons.wikimedia.org/wiki/File:Toolbaricon_bold_I.png

@Umar: Please file separate tasks for separate requests and follow https://mediawiki.org/wiki/How_to_report_a_bug . This task here has been closed for years.